package demo;

import java.util.Arrays;

public class Lotto3
{

	/**
	 * Best way to generate the row - NO upredictable looping
	 */
	public static void main(String[] args)
	{
		//Here we use the array-instantiating/initializing syntax
		int[] numbers =
		{ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19,
				20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35,
				36 };
		
		int[] lotto =new int[7];
		
		//lets create 10 rows and print them
		for (int j = 0; j < 10; j++)
		{
			ArrayUtils.shuffle(numbers);
			for (int i = 0; i < lotto.length; i++)
				lotto[i] = numbers[i];

			Arrays.sort(lotto);
			//right-align numbers using the 'conditional'-operator ( test ? true-part : false-part )
			for (int i : lotto)
				System.out.print((i<10?" ":"")+i + "  ");
			System.out.println();
		}
		//If you would calculate the exact number of different possible rows you should use
		//the following formula:
		//K(n,r)=(n!)/(r!*(n-r)!) where n=36 and r=7 (Use long for the calculation )
		System.out.println("Possible unique rows(Saterday) :  "+(36L*35*34*33*32*31*30)/(7*6*5*4*3*2));
		System.out.println("Possible unique rows(Wednesday): "+(48L*47*46*45*44*43)/(6*5*4*3*2));
	}

}
