package demo;

public class LottoGame
{
	private LottoDraw d = new LottoDraw();
	private static final boolean WEDNESDAY = true;
	private static final boolean SATERDAY = false;

	// simulation of the game : same rowe are played again and again until
	// we win first price. (this might take a lot of time)-
	// Test: Jackpot after 24630723 drawings
	public void simulate()
	{
		long counter = 0;
		boolean win = false;
		Row r = new Row(false);
		while (!win)
		{
			counter++;
			d.draw(false);
			int[] winner = d.getWinnerNumbers();
			win = ArrayUtils.rigtige(r.getLottoRow(), winner) == 7;
		}
		System.out.println("Jackpot after " + counter + " drawings");
	}

	public static void main(String[] args)
	{
		// For Saturday
		Coupon s = new Coupon(SATERDAY, 10);
		System.out.println(s);
		// For Wednesday
		// Coupon w=new Coupon(WEDNESDAY,20);
		// System.out.println(w);

		LottoDraw d = new LottoDraw();
		d.draw(SATERDAY);
		int[] winners = d.getWinnerNumbers();
		int[] extraNumbers = d.getExtraNumbers();
		int rownum = 1;
		System.out.println(d + "\n");
		for (Row r : s.getKupon())
		{
			System.out.println("Row " + (rownum < 10 ? " " : "") + (rownum++)
					+ " has " + ArrayUtils.rigtige(r.getLottoRow(), winners)
					+ " correct numbers");
		}
		// new LottoGame().simulate();
	}

	// Testrun:
	// 4 5 20 21 22 33 36
	// 1 2 3 7 8 19 30
	// 5 6 8 10 13 14 36
	// 1 6 10 17 19 22 25
	// 3 5 7 16 26 32 36
	// 8 9 13 16 17 26 30
	// 2 5 7 8 14 15 25
	// 2 8 19 20 22 23 33
	// 1 3 4 5 15 16 34
	// 2 8 16 20 21 22 33
	//
	// Winning numbers:[ 13 14 25 26 27 32 35 ] Extra numbers:[ 10 36 ]
	//
	// Row 1 has 0 correct numbers
	// Row 2 has 0 correct numbers
	// Row 3 has 2 correct numbers
	// Row 4 has 1 correct numbers
	// Row 5 has 2 correct numbers
	// Row 6 has 2 correct numbers
	// Row 7 has 2 correct numbers
	// Row 8 has 0 correct numbers
	// Row 9 has 0 correct numbers
	// Row 10 has 0 correct numbers

}
